com.independentsoft.exchange

## Enum MeetingAttendeeType

- java.lang.Object
- - java.lang.Enum<MeetingAttendeeType>
  - - com.independentsoft.exchange.MeetingAttendeeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeetingAttendeeType>

      public enum MeetingAttendeeType
      extends java.lang.Enum<MeetingAttendeeType>

  Specifies constants that define the type of a meeting attendee.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPTIONAL` An optional attendee.
    `ORGANIZER` The organizer of the meeting.
    `REQUIRED` A required attendee.
    `RESOURCE` A resource.
    `ROOM` A room.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MeetingAttendeeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeetingAttendeeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORGANIZER

          public static final MeetingAttendeeType ORGANIZER

      The organizer of the meeting.

    - #### REQUIRED

          public static final MeetingAttendeeType REQUIRED

      A required attendee.

    - #### OPTIONAL

          public static final MeetingAttendeeType OPTIONAL

      An optional attendee.

    - #### ROOM

          public static final MeetingAttendeeType ROOM

      A room.

    - #### RESOURCE

          public static final MeetingAttendeeType RESOURCE

      A resource.

  - ### Method Detail

    - #### values

          public static MeetingAttendeeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeetingAttendeeType c : MeetingAttendeeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeetingAttendeeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null